set echo off
set feedback on
set verify on
set termout off
set pause off
set echo on
DROP TABLE GT_PRICE
;
clear screen
spool 2
set termout on
CREATE GLOBAL TEMPORARY 
TABLE GT_PRICE 
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE)
TABLESPACE USERS
;
--can't specify tablespace, etc
pause
clear screen
CREATE GLOBAL TEMPORARY 
TABLE GT_PRICE 
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE)
STORAGE(PCTINCREASE 1)
;
pause
clear screen
CREATE GLOBAL TEMPORARY 
TABLE GT_PRICE 
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE)
PCTFREE 10
;
pause
clear screen
CREATE GLOBAL TEMPORARY 
TABLE GT_PRICE 
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE)
ON COMMIT PRESERVE ROWS
;
select table_name, tablespace_name, initial_extent, next_extent, 
	min_extents, max_extents, pct_increase
from user_tables
where table_name = 'GT_PRICE'
;
--can't specify values and they are null on user_tables
pause
clear screen

select table_name, pct_free, pct_used, ini_trans, max_trans, freelists, freelist_groups
from user_tables
where table_name = 'GT_PRICE'
;
--these are the default values
--but you can't specify these values in the create table command
--go back to presentation
spool off