drop table dmk;
create table dmk
(a_number number
,b_date date
,c_varchar varchar2(100)
);
insert into dmk values(1,sysdate-1,'Able');
insert into dmk values (2,sysdate,'Baker');
insert into dmk values (3,sysdate+1,'Baker');
insert into dmk values (4,sysdate+1,'');
commit;

execute sys.dbms_stats.drop_stat_table('SCOTT', stattab => 'GTSTATS');
execute sys.dbms_stats.create_stat_table('SCOTT', stattab => 'GTSTATS');
execute sys.dbms_stats.gather_table_stats('SCOTT', 'DMK', cascade => TRUE, granularity => 'ALL', stattab => 'GTSTATS', method_opt => 'FOR COLUMNS a_number');
execute sys.dbms_stats.export_table_stats('SCOTT', 'DMK', cascade => TRUE, stattab => 'GTSTATS');
--execute sys.dbms_stats.set_table_stats('SCOTT', 'DMK', stattab => 'GTSTATS', numrows => 1, numblks => 2, avgrlen => 3);
--execute sys.dbms_stats.set_index_stats('SCOTT', 'I_ITEM' ,stattab => 'GTSTATS',numrows => 1,numlblks => 2 ,numdist => 3 ,avglblk => 4 ,avgdblk => 5 ,clstfct => 6 ,indlevel => 7);

column statid heading 'Statistics ID'
column type heading 'Object|Type'
column c1   heading 'TC:Table Name|I:Index Name'
column c2   heading 'TI:Partition Name'
column c3   heading 'TI:Subpartition Name'
column c4   heading 'T:Unused|C:Column Name'
column c5   heading 'TIC:Owner'
column n1   heading 'TI:Num Rows|C:Num Distinct'
column n2   heading 'TI:Num Blocks|C:Density'
column n3   heading 'T:Avg Row Len|I:Distinct Keys|C:Num Distinct?'
column n4   heading 'T:Unknown|I:Leaf Blks/Key|C:Num Rows?'
column n5   heading 'T:Unused|I:Data Blks/Key|C:Num Nulls'
column n6   heading 'T:Unused|I:Clus Fac|C:Min Value'
column n7   heading 'T:Unused|I:Index Height|C:Max Value'
column n8   heading 'T:Unused|I:Unknown|C:Avg Col Len'
column n9   heading 'TI:Unused|C:Unknown'
column n10  heading 'TI:Unused|C:Unknown'
column n11  heading 'TI:Unused|C:Unknown'
column n12  heading 'TIC:Unused'
column d1   heading 'Last Analyzed'
column r1   heading 'TI:Unused|C:Min Raw'
column r2   heading 'TI:Unused|C:Max Raw'
column ch1  heading 'TI:Unused|C:Unknown'


select *
from user_tables
where table_name = 'DMK'
;

select *
from gtstats
where type = 'T'
;


select *
from user_indexes
where table_name = 'GT_ITEM'
;

select *
from gtstats
where type = 'I'
;


select *
from user_tab_columns
where table_name = 'DMK'
;

select c4, n1, n2, n3, n4, n5, n6, n7, n8, n9, n10, n11, ch1
from gtstats
where type = 'C'
;



execute sys.dbms_stats.set_column_stats('SCOTT', 'DMK', 'QUANTITY' ,stattab => 'GTSTATS',distcnt => 1,density => 2 ,nullcnt => 3 ,avgclen => 4 /*srec*/);

