EXECUTE sys.DBMS_LOGMNR_D.BUILD( -
DICTIONARY_FILENAME => 'dictionary.ora', -
DICTIONARY_LOCATION => 'e:\ps\db\ora816d\data');

EXECUTE sys.DBMS_LOGMNR.ADD_LOGFILE( -
LOGFILENAME => 'e:\ps\db\ora816d\data\redo01.log', -
OPTIONS => sys.dbms_logmnr.ADDFILE);

EXECUTE sys.DBMS_LOGMNR.ADD_LOGFILE( -
LOGFILENAME => 'e:\ps\db\ora816d\data\redo02.log', -
OPTIONS => sys.dbms_logmnr.ADDFILE);

EXECUTE sys.DBMS_LOGMNR.ADD_LOGFILE( -
LOGFILENAME => 'e:\ps\db\ora816d\data\redo03.log', -
OPTIONS => sys.dbms_logmnr.ADDFILE);

EXECUTE sys.DBMS_LOGMNR.START_LOGMNR( -
DICTFILENAME =>'e:\ps\db\ora816d\data\dictionary.ora');

--EXECUTE DBMS_LOGMNR.START_LOGMNR( -
--DICTFILENAME => 'e:\ps\db\ora816d\data\dictionary.ora', -
--STARTTIME=> TO_DATE('06/12/2000 18:29:45', 'DD/MM/YYYY HH24:MI:SS') -
--ENDTIME => TO_DATE('06/12/2000 18:29:53', 'DD/MM/YYYY HH24:MI:SS')); 

drop table scott.logmnr_contents 
;
create table scott.logmnr_contents as select *
FROM v$logmnr_contents
where timestamp between to_date('06/12/2000 18:59:07', 'DD/MM/YYYY HH24:MI:SS')
		and	to_date('06/12/2000 18:59:09', 'DD/MM/YYYY HH24:MI:SS')
;
select count(*) from scott.logmnr_contents
;
set pages 999
set lines 96
spool logmin
select * from scott.logmnr
spool off
