set echo off 
set feedback on verify on termout off pause off echo on
disconnect
connect scott/tiger@ora816d
@login
set feedback on verify on termout off pause off echo on
DROP TABLE GT_PRICE_P;
DROP TABLE GT_PRICE_D;
clear screen
spool 3
set termout on
CREATE GLOBAL TEMPORARY TABLE GT_PRICE_D
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE
)
ON COMMIT DELETE ROWS
;
--this is the default
CREATE GLOBAL TEMPORARY TABLE GT_PRICE_P
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE
)
ON COMMIT PRESERVE ROWS
;
CREATE UNIQUE INDEX I_GT_PRICE_D ON GT_PRICE_D (PRODUCT_ID, START_DATE);
CREATE UNIQUE INDEX I_GT_PRICE_P ON GT_PRICE_P (PRODUCT_ID, START_DATE);
pause
clear screen
--ON COMMIT PRESERVE

select	count(*) from	gt_price_p;
insert into gt_price_p select * from price;
select	count(*) from	gt_price_p;
commit;
select	count(*) from 	gt_price_p;
--my rows are still there
pause
clear screen
--ON COMMIT DELETE

select	count(*) from	gt_price_d;
insert into gt_price_d select * from price;
select	count(*) from	gt_price_d;
commit;
select	count(*) from	gt_price_d;
--the rows disappear after the commit
pause
clear screen
insert into gt_price_d select * from price;
select	count(*) from	gt_price_d;
--lets put the rows back into the on commit delete table
pause
clear screen
select * from v$sort_usage;
--there are now 4 entries in v$sort_usage
--we have 2 GT tables each with an index 
--so thats 4 GT segments
pause
clear screen
commit;
select * from v$sort_usage;
--I commit and we are back to 1 table and 1 index
--so on commit not just the rows got deleted by the table got dropped
--now start another window and run 3b.sql
pause
--go back to presentation
spool off