set echo off 
set feedback on verify on termout off pause off echo on
disconnect
connect scott/tiger@ora816d
@login
set feedback on verify on termout off pause off echo on
clear screen
spool 3b
set termout on

desc gt_price_d
desc gt_price_p

--so I can see the tables
pause

select	count(*) from	gt_price_d;
select	count(*) from	gt_price_p;

--but I can't see the rows from the other session
pause

insert into gt_price_p select * from price;

select	count(*) from	gt_price_p;

commit;

select	count(*) from 	gt_price_p;

--what's more, I can insert the same rows in this session that I inserted 
--in the other and it doesn't contravene the unique constraints
pause
clear screen
select * from v$sort_usage;
--there are 4 physical segments, 2 in each session
pause
select sid, serial#, saddr from v$session
where saddr in (select session_addr from v$sort_usage where contents = 'TEMPORARY');
--go back to presentation
spool off
