set feedback on verify on termout off pause off 
set echo on
disconnect
connect scott/tiger@ora816d
DROP TABLE GT_PRICE_P;
set termout on
spool 6
CREATE GLOBAL TEMPORARY TABLE GT_PRICE_P
(
        PRODUCT_ID              NUMBER (6),
        LIST_PRICE              NUMBER (8,2),
        MIN_PRICE               NUMBER (8,2),
        START_DATE              DATE,
        END_DATE                DATE
)
ON COMMIT PRESERVE ROWS
;
CREATE UNIQUE INDEX I_GT_PRICE_P ON GT_PRICE_P (PRODUCT_ID, START_DATE);
--ON COMMIT PRESERVE
insert into gt_price_p select * from price;
commit;
rem populate an ON COMMIT PRESERVE table
pause
clear screen
select	count(*) from 	gt_price_p;
truncate table gt_price_p reuse storage;
pause
select	count(*) from 	gt_price_p;
rem my rows are still there!!!!!!!!!!
pause
truncate table gt_price_p;
select	count(*) from 	gt_price_p;
rem now they are gone
pause
spool off
