CREATE TABLE heap (a number) TABLESPACE USERS;
CREATE GLOBAL TEMPORARY TABLE gt (a NUMBER) ON COMMIT PRESERVE ROWS;

alter session set sql_trace = TRUE;
ANALYZE TABLE heap COMPUTE STATISTICS;
ANALYZE TABLE gt COMPUTE STATISTICS;
alter session set sql_trace = FALSE;

SELECT	TABLE_NAME                     
,	TABLESPACE_NAME                
--,	CLUSTER_NAME                   
--,	IOT_NAME                       
,	PCT_FREE                       
,	PCT_USED                       
,	INI_TRANS                      
,	MAX_TRANS                      
,	INITIAL_EXTENT                 
,	NEXT_EXTENT                    
,	MIN_EXTENTS                    
,	MAX_EXTENTS                    
,	PCT_INCREASE                   
,	FREELISTS                      
,	FREELIST_GROUPS                
,	LOGGING                        
,	BACKED_UP                      
,	NUM_ROWS                       
,	BLOCKS                         
,	EMPTY_BLOCKS                   
,	AVG_SPACE                      
,	CHAIN_CNT                      
,	AVG_ROW_LEN                    
,	AVG_SPACE_FREELIST_BLOCKS
,	NUM_FREELIST_BLOCKS            
,	DEGREE                         
,	INSTANCES                      
,	CACHE                          
,	TABLE_LOCK                     
,	SAMPLE_SIZE                    
,	LAST_ANALYZED                  
,	PARTITIONED                    
,	IOT_TYPE                       
,	TEMPORARY                      
,	SECONDARY                      
,	NESTED                         
,	BUFFER_POOL                    
,	ROW_MOVEMENT                   
,	GLOBAL_STATS                   
,	USER_STATS                     
,	DURATION                       
,	SKIP_CORRUPT                   
,	MONITORING                     
FROM user_tables
WHERE TABLE_NAME IN('HEAP','GT');

DROP TABLE heap;
DROP TABLE gt;